## NAME

r.topidx - creates topographic index, ln(a/tan(beta)), map from elevation map
(GRASS Raster Program)

## SYNOPSIS

r.topidx [-ov] input=name output=name

## DESCRIPTION

r.topidx creates topographic index, ln(a/tan(beta)), map from elevation map.

where

  a: the area of the hillslope per unit contour length that drains through any point

  tan(beta): the local surface topographic slope (delta vertical) / (delta horizontal)

  Elevation map need not to be rectangular if study basin was already determined. Non-interesting region may have NULL values. Study basin map can be taken from r.water.outlet then the following r.mapcalc statements will create study basin extracted elevation map.

  r.mapcalc "belev = if(isnull(basin), basin, elev)"

  r.avgstats prints out averaged statistics for topographic index.

  ### Flags:

  -o
    Overwrite output map
  -v
    Output verbosely

  ### Parameters:

  input
    Elevation map
  output
    Topographic index ln(a/tanB) map

  ## SEE ALSO

  r.topmodel, r.water.outlet, r.mapcalc

  ## AUTHORS

  Main algorithm sources are rewritten from GRIDATB.FOR.
  GRIDATB.FOR is available from www.es.lancs.ac.uk/hfdg/topmodel.html.
  Thanks to Keith Beven.

  GRASS port by Huidae Cho
  Hydro Laboratory, Kyungpook National University, South Korea

  Last changed: $Date: 2002/01/25 05:45:34 $